Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Mar 2021 16:02:02 +0200

> From: Colin Baxter <[email-masked]>
> Date: Thu, 11 Mar 2021 13:23:26 +0000
> 
>     Colin> Investigating further, I find that if I launch a lucid
>     Colin> "emacs-28" via
> 
>     Colin> src/temacs -Q
> 
>     Colin> and evaluate (menu-bar-mode -1) then the popup menu, formed
>     Colin> from <f10>, does indeed allow navigation from the arrow keys
>     Colin> (as well as the mouse). Only launching "emacs-28" from the
>     Colin> following
> 
>     Colin> 1. src/emacs -Q 2. src/bootstrap-emacs -Q
>     Colin> 3. src/emacs-28.0.50.1 -Q
> 
>     Colin> fails to allow the popup menu-bar to be navigable from the
>     Colin> arrow keys.
> 
> 
> If I miss out the batch option and make an emacs by
> 
> ./temacs -l loadup --temacs=pdump
> 
> then ./emacs -Q will allow the popup menu to be navigable via the arrow
> keys.

This could point to the portable dumper as the culprit (more
accurately, something we do wrongly when producing the pdmp file), but
then why does the installed Emacs behave correctly: it also starts
from the same pdmp file as when you invoke it uninstalled.  Hmm...

Thanks for the data points, anyway.